ServerEvents.tags('item', event => {

	//ingots
	event.get('forge:ingots/diamond').add('minecraft:diamond')
	event.get('forge:ingots/emerald').add('minecraft:emerald')
	event.get('forge:ingots/lapis').add('minecraft:lapis_lazuli')
	event.get('forge:ingots/quartz').add('minecraft:quartz')

	//plates
	event.get('forge:plates/diamond').add('kubejs:plate_diamond')
	event.get('forge:plates/emerald').add('kubejs:plate_emerald')
	event.get('forge:plates/lapis').add('kubejs:plate_lapis')
	event.get('forge:plates/quartz').add('kubejs:plate_quartz')

	event.get('forge:ores').add('kubejs:arcane_ore')
	event.get('forge:ores/arcane').add('kubejs:arcane_ore')

	event.get('forge:ores').add('kubejs:starmetal_ore')
	event.get('forge:ores/starmetal').add('kubejs:starmetal_ore')

	//nuggets
	event.get('forge:nuggets/lapis').add('kubejs:nugget_lapis')
	event.get('forge:nuggets/quartz').add('kubejs:nugget_quartz')

	//rods
	event.get('forge:metal_rods').add('ftbic:gold_rod', 'ftbic:copper_rod', 'ftbic:bronze_rod', 'ftbic:enderium_rod', 'ftbic:iridium_rod', 'ftbic:uranium_rod', 'ftbic:lead_rod', 'ftbic:tin_rod', 'immersiveengineering:stick_steel', 'immersiveengineering:stick_aluminum', 'immersiveengineering:stick_iron')

	//blocks
	event.get('forge:storage_blocks/coal_coke').remove('thermal:coal_coke_block')

	//others
	event.get('forge:spawn_eggs').add('minecraft:enderman_spawn_egg', 'minecraft:bee_spawn_egg', 'minecraft:blaze_spawn_egg', 'minecraft:chicken_spawn_egg', 'minecraft:cow_spawn_egg', 'minecraft:elder_guardian_spawn_egg', 'minecraft:ghast_spawn_egg', 'minecraft:magma_cube_spawn_egg')

	event.get('forge:plates/darksteel').add('kubejs:plate_darksteel')
	event.get('forge:plates/endsteel').add('kubejs:plate_endsteel')

	event.get('forge:gears/darksteel').add('kubejs:darksteel_gear')
	event.get('forge:gears/endsteel').add('kubejs:endsteel_gear')

	event.get('forge:ingots/darksteel').add('kubejs:darksteel_ingot')
	event.get('forge:ingots/endsteel').add('kubejs:endsteel_ingot')

	event.get('forge:nuggets/darksteel').add('kubejs:darksteel_nugget')
	event.get('forge:nuggets/endsteel').add('kubejs:endsteel_nugget')


	event.get('forge:gemingot/diamond').add('minecraft:diamond')
	event.get('forge:gemingot/emerald').add('minecraft:emerald')
	event.get('forge:gemingot/darksteel').add('kubejs:darksteel_ingot')
	event.get('forge:gemingot/endsteel').add('kubejs:endsteel_ingot')
	event.get('forge:gemingot/quartz').add('minecraft:quartz')
	event.get('forge:gemingot/lapis').add('minecraft:lapis_lazuli')
	event.get('forge:dusts').add('ftbic:tin_dust')
	event.get('forge:dusts/tin').add('ftbic:tin_dust')

	event.get('forge:ingots/soulsteeltinker').add('kubejs:soulsteel_ingot')

	event.get('forge:drawers1').add('functionalstorage:oak_1', 'functionalstorage:spruce_1', 'functionalstorage:birch_1', 'functionalstorage:jungle_1', 'functionalstorage:dark_oak_1', 'functionalstorage:acacia_1')
	event.get('forge:drawers2').add('functionalstorage:oak_2', 'functionalstorage:spruce_2', 'functionalstorage:birch_2', 'functionalstorage:jungle_2', 'functionalstorage:dark_oak_2', 'functionalstorage:acacia_2')
	event.get('forge:drawers4').add('functionalstorage:oak_4', 'functionalstorage:spruce_4', 'functionalstorage:birch_4', 'functionalstorage:jungle_4', 'functionalstorage:dark_oak_4', 'functionalstorage:acacia_4')

	event.get('forge:rubber').add('industrialforegoing:plastic')

	event.get('forge:flawedbudding').add('ae2:flawed_budding_quartz')

	event.get('forge:dusts/obsidian').add('mekanism:dust_obsidian')

	event.add('forge:dusts/tin').add('ftbic:tin_dust')

	event.remove('forge:grain','farmersdelight:rice')
	event.add('forge:slimerice','farmersdelight:rice')
	event.add('forge:slimerice','thermal:rice')
	event.add('forge:slimeballs','kubejs:blue_slime')
	event.add('forge:hammers','immersiveengineering:hammer')

	event.add('hexerei:mahogany','hexerei:mahogany_log')
	event.add('hexerei:mahogany','hexerei:stripped_mahogany_wood')

	event.add('hexerei:willow','hexerei:willow_log')
	event.add('hexerei:willow','hexerei:stripped_willow_wood')

	event.add('hexerei:witch_hazel','hexerei:witch_hazel_log')
	event.add('hexerei:witch_hazel','hexerei:stripped_witch_hazel_wood')

	event.add('forge:raw_materials','kubejs:raw_arcane')
	event.add('forge:raw_materials/arcane','kubejs:raw_arcane')
	event.add('forge:raw_ores','kubejs:raw_arcane')
	event.add('forge:raw_ores/copper','kubejs:raw_arcane')
})


ServerEvents.tags('fluid', event => {

	event.get('forge:only_water').add('minecraft:water')
	event.get('forge:starlight').add('kubejs:starlight')







})



ServerEvents.tags('block', event => {

	event.get('minecraft:beacon_base_blocks').add('kubejs:uwuterium_block')

	event.get('minecraft:wither_immune').add('kubejs:reinforced_obsidian')
	event.get('minecraft:dragon_immune').add('kubejs:reinforced_obsidian')





})




















